Package org.apache.qpid.proton.codec

# Class BooleanType

java.lang.Object
org.apache.qpid.proton.codec.BooleanType

All Implemented Interfaces:
  `AMQPType<Boolean>`, `PrimitiveType<Boolean>`

public final class BooleanType extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`BooleanType.BooleanEncoding`

## Method Summary

Modifier and Type
Method
Description
`Collection<BooleanType.BooleanEncoding>`
`getAllEncodings()`
`BooleanType.BooleanEncoding`
`getCanonicalEncoding()`
`BooleanType.BooleanEncoding`
`getEncoding(boolean val)`
`BooleanType.BooleanEncoding`
`getEncoding(Boolean val)`
`Class<Boolean>`
`getTypeClass()`
`final void`
`write(Boolean val)`
`void`
`writeValue(boolean val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Boolean> getTypeClass()

### getEncoding

public BooleanType.BooleanEncoding getEncoding(Boolean val)

### getEncoding

public BooleanType.BooleanEncoding getEncoding(boolean val)

### writeValue

public void writeValue(boolean val)

### getCanonicalEncoding

public BooleanType.BooleanEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<BooleanType.BooleanEncoding> getAllEncodings()

### write

public final void write(Boolean val)

Specified by:
  `write` in interface `AMQPType<T>`